#include "about.h"
#include "ui_about.h"
#include "defines.h"

about::about(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::about)
{
    ui->setupUi(this);
    ui->label_nameVersion->setText(QString("PA Calculator ")+QString(PAC_VERSION));
    ui->label_QT_Version->setText(QString("Based on QT ")+QString(QT_VERSION_STR)+QString(" (")+QSysInfo::prettyProductName()+QString(", ")+QSysInfo::currentCpuArchitecture()+QString(")"));

}

about::~about()
{
    delete ui;
}
